Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.makumba.devel.relations
Class JspRelationsAnalyzer

    java.lang.Object
      org.makumba.commons.MakumbaJspAnalyzer
          org.makumba.devel.relations.JspRelationsAnalyzer

All Implemented Interfaces:
  JspAnalyzer

    public class JspRelationsAnalyzer

extends MakumbaJspAnalyzer
implements JspAnalyzer

Simple analyser for the relations of a page. We are interested only in the tags

Version:
  $Id: JspRelationsAnalyzer.java,v 1.1 Apr 12, 2008 5:18:01 PM manu Exp $
Author:
  Manuel Gay

Field Summary

Fields inherited from class org.makumba.commons.MakumbaJspAnalyzer
`ADD_FORM_DATA_TYPE, BASE_POINTER_TYPES, DS_ATTR, FORM_TAGS_DEPENDENCY_CACHE, FORMATTERS, INPUT_TYPES, LAZY_EVALUATED_INPUTS, NESTED_FORM_NAMES, PROJECTION_ORIGIN_CACHE, QL_HQL, QL_OQL, QUERY, QUERY_LANGUAGE, TAG_CACHE, TAG_DATA_CACHE, VALUE_COMPUTERS`

Method Summary
`static JspRelationsAnalyzer` | `getInstance()`
`protected void` | `handleNonMakumbaSystemTags(TagData td, Object status)` Handles non-mak system tags.
`protected void` | `handleNonMakumbaTags(TagData td, Object status)` Handles non-mak tags.
`Object` | `makeStatusHolder(Object initialStatus)` Makes a status holder, which is passed to all other methods

Methods inherited from class org.makumba.commons.MakumbaJspAnalyzer
`endPage, endTag, getQueryLanguage, isHQLPage, isOQLPage, simpleTag, startTag, systemTag`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.makumba.analyser.interfaces.JspAnalyzer
`endPage, endTag, simpleTag, startTag, systemTag`

Method Detail

### getInstance

    public static JspRelationsAnalyzer getInstance()

### makeStatusHolder

    public Object makeStatusHolder(Object initialStatus)

  Description copied from interface: `JspAnalyzer`
  Makes a status holder, which is passed to all other methods

  Specified by:
    `makeStatusHolder` in interface `JspAnalyzer`
  Overrides:
    `makeStatusHolder` in class `MakumbaJspAnalyzer`
  Parameters:
    `initialStatus` - an initial status to be passed to the JspAnalyzer. for example, the pageContext for an example-based analyzer

### handleNonMakumbaTags

    protected void handleNonMakumbaTags(TagData td,
                                        Object status)

  Description copied from class: `MakumbaJspAnalyzer`
  Handles non-mak tags. To be implemented by classes that extend this one

  Overrides:
    `handleNonMakumbaTags` in class `MakumbaJspAnalyzer`
  Parameters:
    `td` - the TagData holding the information
    `status` - the status of the parsing

### handleNonMakumbaSystemTags

    protected void handleNonMakumbaSystemTags(TagData td,
                                              Object status)

  Description copied from class: `MakumbaJspAnalyzer`
  Handles non-mak system tags. To be implemented by classes that extend this one

  Overrides:
    `handleNonMakumbaSystemTags` in class `MakumbaJspAnalyzer`
  Parameters:
    `td` - the TagData holding the information
    `status` - the status of the parsing

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Docs generated on 2009-02-25 14:20